Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ui
Class SWRLProjectPlugin

    java.lang.Object
      edu.stanford.smi.protege.plugin.AbstractPlugin
          edu.stanford.smi.protege.plugin.AbstractProjectPlugin
              edu.stanford.smi.protege.plugin.ProjectPluginAdapter
                  edu.stanford.smi.protegex.owl.swrl.ui.SWRLProjectPlugin

All Implemented Interfaces:
  edu.stanford.smi.protege.plugin.Plugin, edu.stanford.smi.protege.plugin.ProjectPlugin, edu.stanford.smi.protege.util.Disposable

    public class SWRLProjectPlugin

extends edu.stanford.smi.protege.plugin.ProjectPluginAdapter

A Project Plugin that does some initialization after a SWRL project has been loaded. The idea is that SWRL support is activated iff the ontology imports the SWRL namespace. This triggers the installation of a specific FrameFactory so that SWRL-specific API classes are used automatically.

Author:
  Martin O'Connor , Holger Knublauch

Constructor Summary
`SWRLProjectPlugin()`

Method Summary
`static void` | `adjustGUI(edu.stanford.smi.protege.model.Project p)`
`static void` | `adjustWidgets(edu.stanford.smi.protege.model.Project project)`
`void` | `afterLoad(edu.stanford.smi.protege.model.Project p)`
`static boolean` | `isSWRLImported(edu.stanford.smi.protege.model.Project project)` Deprecated. always returns true - swrl is included in the system frames.
`static boolean` | `isSWRLPresent(OWLModel owlModel)`
`static boolean` | `isSWRLPresent(edu.stanford.smi.protege.model.Project project)`
`static void` | `setSWRLClassesAndPropertiesVisible(edu.stanford.smi.protege.model.Project p, boolean visible)`

Methods inherited from class edu.stanford.smi.protege.plugin.ProjectPluginAdapter
`afterCreate, afterSave, afterShow, beforeClose, beforeHide, beforeSave`

Methods inherited from class edu.stanford.smi.protege.plugin.AbstractPlugin
`dispose, getName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Constructor Detail

### SWRLProjectPlugin

    public SWRLProjectPlugin()

Method Detail

### afterLoad

    public void afterLoad(edu.stanford.smi.protege.model.Project p)

  Specified by:
    `afterLoad` in interface `edu.stanford.smi.protege.plugin.ProjectPlugin`
  Overrides:
    `afterLoad` in class `edu.stanford.smi.protege.plugin.ProjectPluginAdapter`

### adjustGUI

    public static void adjustGUI(edu.stanford.smi.protege.model.Project p)

### setSWRLClassesAndPropertiesVisible

    public static void setSWRLClassesAndPropertiesVisible(edu.stanford.smi.protege.model.Project p,
                                                          boolean visible)

### adjustWidgets

    public static void adjustWidgets(edu.stanford.smi.protege.model.Project project)

### isSWRLPresent

    public static boolean isSWRLPresent(edu.stanford.smi.protege.model.Project project)

### isSWRLPresent

    public static boolean isSWRLPresent(OWLModel owlModel)

### isSWRLImported

    @Deprecated
    public static boolean isSWRLImported(edu.stanford.smi.protege.model.Project project)

  Deprecated. always returns true - swrl is included in the system frames.

  Parameters:
    `project` -
  Returns:
    true

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.